<HTML>
<HEAD><TITLE>PAD Specification File</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Pad"></A>PAD Specification File
***************************

PART TYPE:        LCMXO256C
Performance Grade:      5
PACKAGE:          TQFP100
Package Status:                     Final          Version 1.19

Tue Oct 15 20:41:39 2024

Pinout by Port Name:
+------------------+----------+-------------+------+-----------------------------------+
| Port Name        | Pin/Bank | Buffer Type | Site | Properties                        |
+------------------+----------+-------------+------+-----------------------------------+
| cfg_vbank0       | 55/0     | LVTTL33_OUT | PR7D | DRIVE:8mA SLEW:FAST PULL:UP       |
| cfg_vbank1       | 54/0     | LVTTL33_OUT | PR8A | DRIVE:8mA SLEW:FAST PULL:UP       |
| cfg_vbank2       | 53/0     | LVTTL33_OUT | PR8B | DRIVE:8mA SLEW:FAST PULL:UP       |
| ddr_rst_n        | 72/0     | LVTTL33_OUT | PR3A | DRIVE:8mA SLEW:FAST PULL:UP       |
| expander_rstn    | 50/1     | LVTTL33_OUT | PB5D | DRIVE:8mA SLEW:FAST PULL:UP       |
| hreset_n         | 47/1     | LVTTL33_OUT | PB5A | DRIVE:8mA SLEW:FAST OPENDRAIN:ON  |
| ifc_cs0_n        | 96/0     | LVTTL33_IN  | PT2E | SLEW:FAST PULL:UP                 |
| ifc_cs1_n        | 97/0     | LVTTL33_IN  | PT2D | SLEW:FAST PULL:UP                 |
| ifc_rb0_n        | 91/0     | LVTTL33_OUT | PT3B | DRIVE:8mA SLEW:FAST PULL:UP       |
| ifc_rb1_n        | 94/0     | LVTTL33_OUT | PT3A | DRIVE:8mA SLEW:FAST PULL:UP       |
| m2_rstn          | 67/0     | LVTTL33_OUT | PR4B | DRIVE:8mA SLEW:FAST PULL:UP       |
| mxm_rstn         | 64/0     | LVTTL33_OUT | PR5C | DRIVE:8mA SLEW:FAST PULL:UP       |
| nand_cs_n        | 69/0     | LVTTL33_OUT | PR3D | DRIVE:8mA SLEW:FAST PULL:UP       |
| nand_rb_n        | 56/0     | LVTTL33_IN  | PR7C | SLEW:FAST PULL:UP                 |
| nor_cs_n         | 71/0     | LVTTL33_OUT | PR3B | DRIVE:8mA SLEW:FAST PULL:UP       |
| nor_rst_n        | 70/0     | LVTTL33_OUT | PR3C | DRIVE:8mA SLEW:FAST PULL:UP       |
| osc_out          | 89/0     | LVTTL33_OUT | PT3C | DRIVE:8mA SLEW:FAST PULL:UP       |
| pcie_bridge_rstn | 65/0     | LVTTL33_OUT | PR5B | DRIVE:8mA SLEW:FAST PULL:UP       |
| pdetect          | 68/0     | LVTTL33_OUT | PR4A | DRIVE:8mA SLEW:FAST PULL:UP       |
| pe_waken         | 63/0     | LVTTL33_OUT | PR5D | DRIVE:8mA SLEW:FAST PULL:UP       |
| poreset_n        | 46/1     | LVTTL33_OUT | PB4D | DRIVE:8mA SLEW:FAST PULL:UP       |
| pwr_rst_n        | 45/1     | LVTTL33_IN  | PB4C | SLEW:FAST PULL:UP                 |
| sata3_wake_n     | 58/0     | LVTTL33_OUT | PR7A | DRIVE:8mA SLEW:FAST PULL:UP       |
| sata_rstn        | 66/0     | LVTTL33_OUT | PR5A | DRIVE:8mA SLEW:FAST PULL:UP       |
| usb3_pewakeb     | 57/0     | LVTTL33_OUT | PR7B | DRIVE:8mA SLEW:FAST PULL:UP       |
+------------------+----------+-------------+------+-----------------------------------+

Vccio by Bank:
+------+-------+
| Bank | Vccio |
+------+-------+
| 0    | 3.3V  |
| 1    | 3.3V  |
+------+-------+


<A name="pad_vref"></A><B><U><big>Vref by Bank:</big></U></B>
+------+-----+-----------------+---------+
| Vref | Pin | Bank # / Vref # | Load(s) |
+------+-----+-----------------+---------+
+------+-----+-----------------+---------+

<A name="pad_pin"></A><B><U><big>Pinout by Pin Number:</big></U></B>
+----------+---------------------+------------+-------------+------+---------------+
| Pin/Bank | Pin Info            | Preference | Buffer Type | Site | Dual Function |
+----------+---------------------+------------+-------------+------+---------------+
| 1/1      |     unused, PULL:UP |            |             | PL2A |               |
| 2/1      |     unused, PULL:UP |            |             | PL2B |               |
| 3/1      |     unused, PULL:UP |            |             | PL3A |               |
| 4/1      |     unused, PULL:UP |            |             | PL3B |               |
| 5/1      |     unused, PULL:UP |            |             | PL3C |               |
| 6/1      |     unused, PULL:UP |            |             | PL3D |               |
| 7/1      |     unused, PULL:UP |            |             | PL4A |               |
| 8/1      |     unused, PULL:UP |            |             | PL4B |               |
| 9/1      |     unused, PULL:UP |            |             | PL5A |               |
| 11/1     |     unused, PULL:UP |            |             | PL5B |               |
| 13/1     |     unused, PULL:UP |            |             | PL5C |               |
| 14/1     |     unused, PULL:UP |            |             | PL5D | GSR_PADN      |
| 15/1     |     unused, PULL:UP |            |             | PL6A |               |
| 16/1     |     unused, PULL:UP |            |             | PL6B | TSALLPAD      |
| 17/1     |     unused, PULL:UP |            |             | PL7A |               |
| 18/1     |     unused, PULL:UP |            |             | PL7B |               |
| 19/1     |     unused, PULL:UP |            |             | PL7C |               |
| 20/1     |     unused, PULL:UP |            |             | PL7D |               |
| 21/1     |     unused, PULL:UP |            |             | PL8A |               |
| 22/1     |     unused, PULL:UP |            |             | PL8B |               |
| 23/1     |     unused, PULL:UP |            |             | PL9A |               |
| 27/1     |     unused, PULL:UP |            |             | PL9B |               |
| 29/1     |     unused, PULL:UP |            |             | PB2A |               |
| 30/1     |     unused, PULL:UP |            |             | PB2B |               |
| 32/1     |     unused, PULL:UP |            |             | PB2C |               |
| 34/1     |     unused, PULL:UP |            |             | PB2D |               |
| 36/1     |     unused, PULL:UP |            |             | PB3A | PCLKT1_1      |
| 37/1     |     unused, PULL:UP |            |             | PB3B |               |
| 38/1     |     unused, PULL:UP |            |             | PB3C | PCLKT1_0      |
| 39/1     |     unused, PULL:UP |            |             | PB3D |               |
| 43/1     |     unused, PULL:UP |            |             | PB4A |               |
| 44/1     |     unused, PULL:UP |            |             | PB4B |               |
| 45/1     | pwr_rst_n           | LOCATED    | LVTTL33_IN  | PB4C |               |
| 46/1     | poreset_n           | LOCATED    | LVTTL33_OUT | PB4D |               |
| 47/1     | hreset_n            | LOCATED    | LVTTL33_OUT | PB5A |               |
| 49/1     |     unused, PULL:UP |            |             | PB5C |               |
| 50/1     | expander_rstn       | LOCATED    | LVTTL33_OUT | PB5D |               |
| 51/0     |     unused, PULL:UP |            |             | PR9B |               |
| 52/0     |     unused, PULL:UP |            |             | PR9A |               |
| 53/0     | cfg_vbank2          | LOCATED    | LVTTL33_OUT | PR8B |               |
| 54/0     | cfg_vbank1          | LOCATED    | LVTTL33_OUT | PR8A |               |
| 55/0     | cfg_vbank0          | LOCATED    | LVTTL33_OUT | PR7D |               |
| 56/0     | nand_rb_n           | LOCATED    | LVTTL33_IN  | PR7C |               |
| 57/0     | usb3_pewakeb        | LOCATED    | LVTTL33_OUT | PR7B |               |
| 58/0     | sata3_wake_n        | LOCATED    | LVTTL33_OUT | PR7A |               |
| 59/0     |     unused, PULL:UP |            |             | PR6B |               |
| 61/0     |     unused, PULL:UP |            |             | PR6A |               |
| 63/0     | pe_waken            | LOCATED    | LVTTL33_OUT | PR5D |               |
| 64/0     | mxm_rstn            | LOCATED    | LVTTL33_OUT | PR5C |               |
| 65/0     | pcie_bridge_rstn    | LOCATED    | LVTTL33_OUT | PR5B |               |
| 66/0     | sata_rstn           | LOCATED    | LVTTL33_OUT | PR5A |               |
| 67/0     | m2_rstn             | LOCATED    | LVTTL33_OUT | PR4B |               |
| 68/0     | pdetect             | LOCATED    | LVTTL33_OUT | PR4A |               |
| 69/0     | nand_cs_n           | LOCATED    | LVTTL33_OUT | PR3D |               |
| 70/0     | nor_rst_n           | LOCATED    | LVTTL33_OUT | PR3C |               |
| 71/0     | nor_cs_n            | LOCATED    | LVTTL33_OUT | PR3B |               |
| 72/0     | ddr_rst_n           | LOCATED    | LVTTL33_OUT | PR3A |               |
| 73/0     |     unused, PULL:UP |            |             | PR2B |               |
| 76/0     |     unused, PULL:UP |            |             | PR2A |               |
| 77/0     |     unused, PULL:UP |            |             | PT5C |               |
| 78/0     |     unused, PULL:UP |            |             | PT5B |               |
| 79/0     |     unused, PULL:UP |            |             | PT5A |               |
| 80/0     |     unused, PULL:UP |            |             | PT4F |               |
| 81/0     |     unused, PULL:UP |            |             | PT4E |               |
| 82/0     |     unused, PULL:UP |            |             | PT4D |               |
| 83/0     |     unused, PULL:UP |            |             | PT4C |               |
| 85/0     |     unused, PULL:UP |            |             | PT4B | PCLKT0_1      |
| 86/0     |     unused, PULL:UP |            |             | PT4A | PCLKT0_0      |
| 87/0     |     unused, PULL:UP |            |             | PT3D |               |
| 89/0     | osc_out             | LOCATED    | LVTTL33_OUT | PT3C |               |
| 91/0     | ifc_rb0_n           | LOCATED    | LVTTL33_OUT | PT3B |               |
| 94/0     | ifc_rb1_n           | LOCATED    | LVTTL33_OUT | PT3A |               |
| 95/0     |     unused, PULL:UP |            |             | PT2F |               |
| 96/0     | ifc_cs0_n           | LOCATED    | LVTTL33_IN  | PT2E |               |
| 97/0     | ifc_cs1_n           | LOCATED    | LVTTL33_IN  | PT2D |               |
| 98/0     |     unused, PULL:UP |            |             | PT2C |               |
| 99/0     |     unused, PULL:UP |            |             | PT2B |               |
| 100/0    |     unused, PULL:UP |            |             | PT2A |               |
| PB5B/0   |     unused, PULL:UP |            |             | PB5B |               |
| PT5D/0   |     unused, PULL:UP |            |             | PT5D |               |
| TCK/1    |                     |            |             | TCK  | TCK           |
| TDI/1    |                     |            |             | TDI  | TDI           |
| TDO/1    |                     |            |             | TDO  | TDO           |
| TMS/1    |                     |            |             | TMS  | TMS           |
+----------+---------------------+------------+-------------+------+---------------+


List of All Pins' Locate Preferences Based on Final Placement After PAR 
to Help Users Lock Down ALL the Pins Easily (by Simply Copy & Paste): 

LOCATE  COMP  "cfg_vbank0"  SITE  "55";
LOCATE  COMP  "cfg_vbank1"  SITE  "54";
LOCATE  COMP  "cfg_vbank2"  SITE  "53";
LOCATE  COMP  "ddr_rst_n"  SITE  "72";
LOCATE  COMP  "expander_rstn"  SITE  "50";
LOCATE  COMP  "hreset_n"  SITE  "47";
LOCATE  COMP  "ifc_cs0_n"  SITE  "96";
LOCATE  COMP  "ifc_cs1_n"  SITE  "97";
LOCATE  COMP  "ifc_rb0_n"  SITE  "91";
LOCATE  COMP  "ifc_rb1_n"  SITE  "94";
LOCATE  COMP  "m2_rstn"  SITE  "67";
LOCATE  COMP  "mxm_rstn"  SITE  "64";
LOCATE  COMP  "nand_cs_n"  SITE  "69";
LOCATE  COMP  "nand_rb_n"  SITE  "56";
LOCATE  COMP  "nor_cs_n"  SITE  "71";
LOCATE  COMP  "nor_rst_n"  SITE  "70";
LOCATE  COMP  "osc_out"  SITE  "89";
LOCATE  COMP  "pcie_bridge_rstn"  SITE  "65";
LOCATE  COMP  "pdetect"  SITE  "68";
LOCATE  COMP  "pe_waken"  SITE  "63";
LOCATE  COMP  "poreset_n"  SITE  "46";
LOCATE  COMP  "pwr_rst_n"  SITE  "45";
LOCATE  COMP  "sata3_wake_n"  SITE  "58";
LOCATE  COMP  "sata_rstn"  SITE  "66";
LOCATE  COMP  "usb3_pewakeb"  SITE  "57";





PAR: Place And Route Diamond (64-bit) 3.13.0.56.2.
Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights reserved.
Tue Oct 15 20:41:39 2024




<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
